﻿--------------------------------------------------
-- localization.ru.lua Rusian
-- $LastChangedBy: StingerSoft $

-- General --
if ( GetLocale() == "ruRU" ) then

-- Bindings --
BINDING_HEADER_DAMAGEMETERSHEADER       = "DamageMeters";
BINDING_NAME_DAMAGEMETERS_TOGGLESHOW    = "Toggle Visible";
BINDING_NAME_DAMAGEMETERS_CYCLEQUANT    = "Cycle Visible Quantity";
BINDING_NAME_DAMAGEMETERS_CYCLEQUANTBACK= "Cycle Visible Quantity Backwards";
BINDING_NAME_DAMAGEMETERS_CLEAR         = "Clear Data";
BINDING_NAME_DAMAGEMETERS_TOGGLEPAUSED  = "Toggle Paused";
BINDING_NAME_DAMAGEMETERS_SHOWREPORTFRAME = "Show Report Frame";
BINDING_NAME_DAMAGEMETERS_SWAPMEMORY    = "Swap Memory";
BINDING_NAME_DAMAGEMETERS_TOGGLESHOWMAX = "Toggle Show Max Bars";
BINDING_NAME_DAMAGEMETERS_SYNCREADY     = "Send Sync Ready";
BINDING_NAME_DAMAGEMETERS_TOGGLESHOWFIGHTASPS = "Toggle Show Fight Data As Per/Second";
BINDING_NAME_DAMAGEMETERS_TOGGLENORMALANDFIGHT = "Toggle Between Normal and Fight Quantities";
BINDING_NAME_DAMAGEMETERS_TOGGLEMINIMODE = "Toggle Mini Mode";
BINDING_NAME_DAMAGEMETERS_SYNCPAUSE = "Sync Pause";
BINDING_NAME_DAMAGEMETERS_SYNCUNPAUSE = "Sync Unpause";
BINDING_NAME_DAMAGEMETERS_SYNCCLEAR = "Sync Clear";

BINDING_NAME_DAMAGEMETERS_RESETPOS = "Reset Position";

-- Help --
DamageMeters_helpTable = {
        "The following commands can be entered into the console:",
        "/dm help - Gives help on using DamageMeters.",
        "/dm cmd - Lists available /dm (DamageMeters) commands.",
        "/dm show - Toggles whether or not the meters are visible.  Note that data collection continues when meters are not visible.",
        "/dm hide - Hides the meters.",
        "/dm clear [#] - Removes entries from the bottom of the list, leaving #.  If # not specified, entire list is cleared.",
        "/dm report [help] [total] [c/s/p/r/w/h/g/f[#]] [whispertarget/channelNAME] - Prints a report of the current data: use '/dm report help' for details.",
        "/dm sort [#] - Sets sorting style.  Specify no number for a list of available styles.",
        "/dm count [#] - Sets number of bars visible at once.  If # not given shows the maximum possible.",
        "/dm save - Saves the current table internally.",
        "/dm restore - Restores a previously saved table, overwriting any new data.",
        --"/dm merge - Merges a previously saved table with any existing data.",
        "/dm swap - Swaps the previously saved table with the current one.",
        "/dm memclear - Clears the saved table.",
        "/dm resetpos - Resets the position of the window (helpful incase you lose it)%.",
        "/dm text 0/<[r][n][p][l][v]> - Sets what text should be shown on the bars. r - Rank. n - Player name. p - Percentage of total. l - Percentage of leader. v - Value.",
        "/dm color # - Sets the color scheme for the bars.  Specify no # for a list of options.",
        "/dm quant # - Sets the quantity the bars should use.  Specify no # for a list of options.",
        "/dm visinparty [y/n] - Sets whether or not the window should only be visible while you are in a party/raid.  Specify no argument to toggle.",
        "/dm autocount # - If # is greater than zero, then the window will show as many bars as it has information for up to #.  If # is zero, it turns off the auto-count function.",
        "/dm listbanned - Lists all banned entities.",
        "/dm clearbanned - Clears list of all banned entities.",
        "/dm setrange [#]- Sets the range in yards that you recieve combat messages, default is 50.",
        "/dm version - Prints your DM version number. Can also use /dm ver.",

        "/dm sync [d#] [e] - Causes you to synchronize your data with other users using the same sync channel.  (Calls dmsyncsend and dmsyncrequest.)  If d specified, the sync will be delayed that many seconds.  If e specified, event data will be sent/requested.",
        --"/dm syncchan - Sets the name of the channel to use for synchronizing.",
        --"/dm syncleave - Leaves the current sync chan.",
        "/dm syncsend - Sends sync information on the sync channel.",
        "/dm syncrequest - 'Pings' for the most popular (most users) session id, then assumes that id and calls a sync.",
        "/dm syncclear - Sends request for everyone to clear their data.",
        "/dm syncmsg [msg] - Sends a message to other people in the same syncchan.  Can also use /dmm.",
        --"/dm syncbroadcastchan - Broadcasts the current sync channel to your party or raid.  Can also use /dm syncb.",
        "/dm syncping - 'Pings' the other people in the sync chan, causing them to respond with their current version of DM and session id.",
        "/dm syncpause - Makes other DMs on your syncchan pause.",
        "/dm syncunpause - Makes other DMs on your syncchan unpause.",
        "/dm syncready - Transmits a command to make everyone in the sync chan go into the ready state.",
        --"/dm synckick player - Kickes player out of the sync channel.",
        "/dm synclabel label - Labels the current session. (Index defaults to 1).",
        "/dm syncstart label - Convenience function which does synclabel, syncready, and syncclear automatically.",
        "/dm synchalt - Aborts any syncing in progress (clears incoming and outgoing message queues).",

        "/dm pop - Populates it with your current party/raid members (though will not remove any existing entries)%.",
        "/dm lock - Toggles whether or not the list is locked. New people cannot be added to a locked list, but people already in can are updated.",
        "/dm pause - Toggles whether or not the parsing of data is to occur.",
        "/dm lockpos - Toggles whether or not the position of the window is locked.",
        "/dm grouponly - Toggles whether or not to reject anyone who is not in your raid/party.  (Your pet will be monitored regardless of this setting.)",
        "/dm addpettoplayer - Toggles whether or not to consider pet's data as coming directly from the player.",
        "/dm resetoncombat = Toggles whether or not to reset data when combat starts.",
        "/dm version - Shows version information.",
        "/dm total - Toggles display of the total display.",
        "/dm showmax - Toggles whether or not to show the max number of bars.",
};

-- Filters --
DamageMeters_Filter_STRING1 = "участники группы";
DamageMeters_Filter_STRING2 = "все дружественные персонажи";

-- Relationships --
DamageMeters_Relation_STRING = {
        "Вы",
        "Ваш питомец",
        "Группа",
        "Дружественный"};

-- Color Schemes --
DamageMeters_colorScheme_STRING = {
        "Отношение",
        "Окраска классов"};

-- Quantities --
DM_QUANTSTRING_DAMAGEDONE = "Нанесено урона";
DM_QUANTSTRING_HEALINGDONE = "Нанесено исцеления";
DM_QUANTSTRING_DAMAGETAKEN = "Получено урона";
DM_QUANTSTRING_HEALINGTAKEN = "Получено исцеления";
DM_QUANTSTRING_DAMAGEDONE_FIGHT = "Нанесено урона за бой";
DM_QUANTSTRING_HEALINGDONE_FIGHT = "Нанесено исцеления за бой";
DM_QUANTSTRING_DAMAGETAKEN_FIGHT = "Получено урона за бой";
DM_QUANTSTRING_HEALINGTAKEN_FIGHT = "Получено исцеления за бой";
DM_QUANTSTRING_DAMAGEDONE_PS = "УВС";
DM_QUANTSTRING_HEALINGDONE_PS = "ИВС";
DM_QUANTSTRING_DAMAGETAKEN_PS = "ПУВС";
DM_QUANTSTRING_HEALINGTAKEN_PS = "ПИВС";
DM_QUANTSTRING_IDLETIME = "Время простоя";
DM_QUANTSTRING_NETDAMAGE = "Net Damage";
DM_QUANTSTRING_NETHEALING = "Net Healing";
DM_QUANTSTRING_DAMAGEPLUSHEALING = "Урон+Исцеление";
DM_QUANTSTRING_CURING = "Излечено";
DM_QUANTSTRING_CURING_FIGHT = "Излечено за бой";
DM_QUANTSTRING_CURING_PS = "Излечения ВС";
DM_QUANTSTRING_OVERHEAL = "Пере-исцеление";
DM_QUANTSTRING_OVERHEAL_FIGHT = "Пере-исцеление за бой";
DM_QUANTSTRING_OVERHEAL_PS = "ПРИВС";
DM_QUANTSTRING_HEALTH = "Здоровье";
DM_QUANTSTRING_OVERHEAL_PERCENTAGE = "Пере-исцеление %";
DM_QUANTSTRING_ABSHEAL = "Чисто нанесено исчеления";
DM_QUANTSTRING_ABSHEAL_FIGHT = "Чисто нанесено исчеления за бой";
DM_QUANTSTRING_ABSHEAL_PS = "Чистое. ИВС";

DM_QUANTABBREV_DAMAGEDONE = "У";
DM_QUANTABBREV_HEALINGDONE = "И";
DM_QUANTABBREV_DAMAGETAKEN = "ПУ";
DM_QUANTABBREV_HEALINGTAKEN = "ПИ";
DM_QUANTABBREV_CURING = "Излеч";
DM_QUANTABBREV_OVERHEAL = "ПереИ";
DM_QUANTABBREV_ABSHEAL = "RawHD";

DM_QUANTABBREV_DAMAGEDONE_PS = "УВС";
DM_QUANTABBREV_HEALINGDONE_PS = "ИВС";
DM_QUANTABBREV_DAMAGETAKEN_PS = "ПУВС";
DM_QUANTABBREV_HEALINGTAKEN_PS = "ПИВС";
DM_QUANTABBREV_CURING_PS = "ИзлечВС";
DM_QUANTABBREV_OVERHEAL_PS = "ПереИВС";
DM_QUANTABBREV_ABSHEAL_PS = "RawHDPS";

DM_QUANTABBREV_IDLETIME = "ВП";
DM_QUANTABBREV_NETDAMAGE = "NetD";
DM_QUANTABBREV_NETHEALING = "NetH";
DM_QUANTABBREV_DAMAGEPLUSHEALING = "У+И";
DM_QUANTABBREV_HEALTH = "HP";
DM_QUANTABBREV_OVERHEAL_PERCENTAGE = "ПереИС%";


-- Sort --
DamageMeters_Sort_STRING = {
    "По убыванию",
    "По возрастанию",
    "По алфовиту"};

-- Class Names
function DamageMeters_GetClassColor(className)
    return RAID_CLASS_COLORS[string.upper(className)];
end

-- This associates the string names of damage types (schools) with the DM_DMGTYPE constants.

DM_DMGNAMETOID = {
    ["тайная магия"]              = DM_DMGTYPE_ARCANE,
    ["магия огоня"]              = DM_DMGTYPE_FIRE,
    ["магия природы"]              = DM_DMGTYPE_NATURE,
    ["магия льда"]              = DM_DMGTYPE_FROST,
    ["магия тьмы"]           = DM_DMGTYPE_SHADOW,
    ["магия света"]             = DM_DMGTYPE_HOLY,
    ["физический"]  = DM_DMGTYPE_PHYSICAL,
};

DM_DMGTYPENAMES = {
    "Темной магии",
    "Магии огня",
    "Магии  природы",
    "Магии льда",
    "Магии тьмы",
    "Магии света",
    "Физический",
    "По умолчанию",
};

-- Errors --
DM_ERROR_INVALIDARG = "DamageMeters: Invalid argument(s).";
DM_ERROR_MISSINGARG = "DamageMeters: Argument(s) missing.";
DM_ERROR_NOSAVEDTABLE = "DamageMeters: Нет сохранённой таблицы.";
DM_ERROR_BADREPORTTARGET = "DamageMeters: Неверная цель для отчёта = ";
DM_ERROR_MISSINGWHISPERTARGET = "DamageMeters: Whisper specified but no player given.";
DM_ERROR_MISSINGCHANNEL = "DamageMeters: Channel specified but no number given.";
DM_ERROR_NOSYNCCHANNEL = "DamageMeters: Sync channel must be specified with dmsyncchan before calling sync functions.";
DM_ERROR_JOINSYNCCHANNEL = "DamageMeters: You must join sync channel ('%s') before you can call sync functions.";
DM_ERROR_SYNCTOOSOON = "DamageMeters: Sync request too soon after last one; ignoring.";
DM_ERROR_POPNOPARTY = "DamageMeters: Cannot populate table; you are not in a party or raid.";
DM_ERROR_NOROOMFORPLAYER = "DamageMeters: Cannot merge pet data with players because cannot add player to list (list full?).";
DM_ERROR_BROADCASTNOGROUP = "DamageMeters: Must be in a party or raid to broadcast the sync channel.";
DM_ERROR_NOPARTY = "DamageMeters: Вы не в группе.";
DM_ERROR_NORAID = "DamageMeters: Вы не в рейде.";

-- Messages --
DM_MSG_SETQUANT = "DamageMeters: Setting visible quantity to ";
DM_MSG_CURRENTQUANT = "DamageMeters: Current quantity = ";
DM_MSG_CURRENTSORT = "DamageMeters: Текущая сортировка = ";
DM_MSG_SORT = "DamageMeters: Настройки сортировки ";
DM_MSG_CLEAR = "DamageMeters: Удаление записей %d до %d.";
--DM_MSG_REMAINING = "DamageMeters: %d items remaining.";
DM_MSG_REPORTHEADER = "DamageMeters: Отчёт <%s> - %d/%d источников:";
DM_MSG_PLAYERREPORTHEADER = "DamageMeters: Отчёт игрока %s:";
DM_MSG_SETCOUNTTOMAX = "DamageMeters: No count argument specified, setting to max.";
DM_MSG_SETCOUNT = "DamageMeters: Новое число полос = ";
DM_MSG_RESETFRAMEPOS = "DamageMeters: Сброс местоположения фрейма.";
DM_MSG_SAVE = "DamageMeters: Сохранение таблиц.";
DM_MSG_RESTORE = "DamageMeters: восстановление сохранённых таблиц.";
DM_MSG_MERGE = "DamageMeters: Merging saved table with current.";
DM_MSG_SWAP = "DamageMeters: Swapping normal (%d) and saved (%d) table.";
DM_MSG_SETCOLORSCHEME = "DamageMeters: настройки схемы окраски установленны на ";
DM_MSG_TRUE = "true";
DM_MSG_FALSE = "false";
DM_MSG_SETVISINPARTY = "DamageMeters: Отображение только в группе установлено на: ";
DM_MSG_SETAUTOCOUNT = "DamageMeters: Setting new autocount limit to ";
DM_MSG_LISTBANNED = "DamageMeters: Список запрещенных объектов:";
DM_MSG_CLEARBANNED = "DamageMeters: Очистка всех запрещенных объектов.";
DM_MSG_HOWTOSHOW = "DamageMeters: Скрытие окна.  Используйте /dm show чтобы сделать его видемым сного.";
DM_MSG_SYNCCHAN = "DamageMeters: Название канала синхронизации: ";
DM_MSG_SYNCREQUESTACK = "DamageMeters: Синх запрошена у игрока ";
DM_MSG_SYNCREQUESTACKEVENTS = "DamageMeters: Синх (с событиями) запрошена у игрока ";
DM_MSG_SYNC = "DamageMeters: Отсылка данных синх.";
DM_MSG_SYNCEVENTS = "DamageMeters: Отсылка данных синх (с событиями).";
DM_MSG_LOCKED = "DamageMeters: Список заблокирован.";
DM_MSG_NOTLOCKED = "DamageMeters: Список разблокирован.";
DM_MSG_PAUSED = "DamageMeters: разбор приостановлен.";
DM_MSG_UNPAUSED = "DamageMeters: разбор возобновлен.";
DM_MSG_POSLOCKED = "DamageMeters: местоположение заблокированно.";
DM_MSG_POSNOTLOCKED = "DamageMeters: местоположение разблокированно.";
DM_MSG_CLEARRECEIVED = "DamageMeters: Очистка получение запросов от игрока ";
DM_MSG_ADDINGPETTOPLAYER = "DamageMeters: Теперь данные питомца будут обрабатываться так как бутто это ваши.";
DM_MSG_NOTADDINGPETTOPLAYER = "DamageMeters: данные питомца будет обрабатываться отдельно от ваших.";
DM_MSG_PETMERGE = "DamageMeters: Объединение информации питомцев (%s) с вашими.";
DM_MSG_RESETWHENCOMBATSTARTSCHANGE = "DamageMeters: Сброс при начале боя = ";
DM_MSG_SHOWFIGHTASPS = "DamageMeters: Отображение данных боя в \"в/секунду\" = ";
DM_MSG_COMBATDURATION = "Длительность боя = %.2f секунд.";
DM_MSG_RECEIVEDSYNCDATA = "DamageMeters: Получение данных синх от |3-2(%s).";
DM_MSG_TOTAL = "ВСЕГО";
DM_MSG_VERSION = "Версия DamageMeters %s активна.";
DM_MSG_REPORTHELP = "The /dm report command consists of three parts:\n\n1) The destination character.  This can be one of the following letters:\n  c - Console (only you can see it)%.\n  s - Say\n  p - Party chat\n  r - Raid chat\n  g - Guild chat\n  o - Guild Officer chat\n  h - Chat cHannel. /dm report h mychannel\n  w - Whisper to player.  /dm report w dandelion\n  f - Frame: Shows the report in this window.\n\nIf the letter is lower case the report will be in reverse order (lowest to highest)%.\n\n2) Optionally, the number of people to limit it to.  This number goes right after the destination character.\nExample: /dm report p5.\n\n3) By default, reports are on the currently visible quantity only.  If the word 'total' is specified before the destination character, though, the report will be on the totals for every quantity. 'Total' reports are formatted so that they look good when cut-and-paste into a text file, and so work best with the Frame destination.\nExample: /dm report total f\n\nExample: Whisper to player 'dandelion' the top three people in the list:\n/dm report w3 dandelion";
DM_MSG_COLLECTORS = "Сборщик данных: (%s)";
DM_MSG_ACCUMULATING = "DamageMeters: Накопление данных в регистре памяти.";
DM_MSG_REPORTTOTALDPS = "Всего = %.1f (%.1f видимых)";
DM_MSG_REPORTTOTAL = "Всего = %d (%d видимых)";
DM_MSG_SYNCMSG = "[DMM] |Hplayer:%s|h[%s]|h: %s";
DM_MSG_MEMCLEAR = "DamageMeters: Сохраненные таблициочищены.";
DM_MSG_MAXBARS = "DamageMeters: Настройки показ-макс-полос установлены на %s.";
DM_MSG_MINBARS = "DamageMeters: Настройки сворачивания установлены на %s.";
DM_MSG_LEADERREPORTHEADER = "DamageMeters: Отчёт лидеров - %d/%d источников:\n #";
-- This causes disconnects.. maybe its too long?  ..maybe WoW doesn't like the \n character?
--DM_MSG_FULLREPORTHEADER = "DamageMeters: Full Report on %d/%d Sources:\nPlayer        Damage     Healing     Damaged      Healed        Hits   Crits\n_______________________________________________________________________________";
DM_MSG_FULLREPORTHEADER1 = "DamageMeters: Полный отчёт - %d/%d источников:";
DM_MSG_FULLREPORTHEADER2 = "Игрок      Урон     Исцеление    Получ.Урона    Получ.Исцеления     Поподаний   Критов";
DM_MSG_FULLREPORTHEADER3 = "_____________________________________________________________________________________";
DM_MSG_CLEARACKNOWLEDGED = "DamageMeters: Очистка подтверждений от |3-1(%s).";
DM_MSG_EVENTREPORTHEADER = "DamageMeters: Отчёт события - %d/%d источников:\n";
DM_MSG_PLAYERONLYEVENTDATAOFF = "DamageMeters: Запись данный события всех играков.";
DM_MSG_PLAYERONLYEVENTDATAON = "DamageMeters: Теперь записываються только ваши события.";
--DM_MSG_SYNCCHANBROADCAST = "<DamageMeters>: Setting this group's sync channel to: ";
DM_MSG_INCLOGRANGEON = "DamageMeters: Диапазон журнала боя увеличен до: 200 метров.";
DM_MSG_INCLOGRANGEOFF = "DamageMeters: Диапазон журнала боя сброшен на значение по умолчанию: 50 метров.";
--DM_MSG_AUTOSYNCJOINON = "DamageMeters: You will automatically join broadcasted sync channels.";
--DM_MSG_AUTOSYNCJOINOFF = "DamageMeters: You will no longer automatically join broadcasted sync channels.";
DM_MSG_SYNCHELP = "DamageMeters Sync'ing (short for synchronization) is a process whereby multiple DM users can transmit their data to each other.  Its primary use is for instances where the players are often far from each other and thus miss some of each other's combat messages.\n\nSync Quick-Start Guide:\n\n1) Someone in the raid chooses a session name (for example, \"Onyxia\") then call syncstart with that name. \"/dm syncstart Onyxia\".  This will clear everyone's data and ready them, as well as mark them with this label.\n2) Play!  Collect data!\n3) Call \"/dm sync\" whenever you wants the raid to share data.  Since it can cause a little slowdown it is best to do this between fights (though not necessarily between every fight).  If event data is desired, call \"/dm sync e\", though it takes a lot longer to sync.\n\nNote: It doesn't matter who starts the session as long as everyone has the same session id, this will auto-clear any previous data.\n\nLate-joiners: If you've joined a group late and don't have the current session id then you can request the popular session id by using \"/dm syncrequest\". This will 'ping' for the most popular (most users) session id, and then assume that id and call a sync, thus updating you with the raid's previous data. You can also manually \"/dm syncping\" to get an idea of if there's a current session or not. \n\nIMPORTANT: Calling \"/dm sync\" when you don't have the current session id will force others to use your session id and your data.";
DM_MSG_PINGING = "DamageMeters: тестовый опрос всех играков..";
DM_MSG_SYNCONLYPLAYEREVENTSON = "DamageMeters: Будет передаваться информация только вашего события.";
DM_MSG_SYNCONLYPLAYEREVENTSOFF = "DamageMeters: Будет передаваться информация всех участников события.";
DM_MSG_SYNCPAUSE = "DamageMeters: Команда приостоновки получена от |3-1(%s).";
DM_MSG_SYNCUNPAUSE = "DamageMeters: Команда возобновления получена от |3-1(%s).";
DM_MSG_SYNCREADY = "DamageMeters: Команда готовности получена от |3-1(%s).";
DM_MSG_SYNCPAUSEREQ = "DamageMeters: Команда приостоновки передачи..";
DM_MSG_SYNCUNPAUSEREQ = "DamageMeters: Команда возобновления передачи..";
DM_MSG_SYNCREADYREQ = "DamageMeters: Команда готовности передачи..";
--DM_MSG_PRESSCONTROLEVENT = "Press Control To See Event Data";
--DM_MSG_PRESSCONTROLQUANTITY = "Press Control To See Quantity Data";
--DM_MSG_PRESSALTSINGLEQUANTITY = "Press Alt To See Only Current Quantity";
DM_MSG_PRESS_FOR_SUMMARY = "Нажмите %s для просмотра сводки данных события";
DM_MSG_PRESS_FOR_CURRENT = "Нажмите %s для просмотра данных текущего события";
DM_MSG_PRESS_FOR_ALL = "Нажмите %s для просмотра всех данных события";
DM_MSG_ALT = "<Alt>";
DM_MSG_CTRL = "<Control>";
DM_MSG_PAUSEDTITLE = "Пауза";
DM_MSG_READYTITLE = "Готов";
DM_MSG_EVENTDATALEVEL = {
    "DamageMeters: Не разберать данные события.",
    "DamageMeters: Разбор только данных события игроков.",
    "DamageMeters: Разбор данных события всех игроков."
};
DM_MSG_SYNCEVENTDATALEVEL = {
    "DamageMeters: Не передавать данные события.",
    "DamageMeters: Передавать только данные события игроков.",
    "DamageMeters: Передавать данные события всех игроков."
};
DM_MSG_TOOLTIPDATALEVEL = {
    "DamageMeters: Подсказка установленна на отображение сводки событий по умолчанию.",
    "DamageMeters: Подсказка установленна на отображение текущих событий по умолчанию.",
    "DamageMeters: Подсказка установленна на отображение всех событий по умолчанию."
};
DM_MSG_HELP = "- Введите /dm cmd для выводасписка команд.\n- Если вы не видете окна DM, попробуйте /dm resetpos.";
--DM_MSG_LEAVECHAN = "DamageMeters: Leaving sync channel '%s'.";
DM_MSG_READYUNPAUSING = "DamageMeters: Damage event received, transmitting sync unpause command..";
--DM_MSG_KICKED = "DamageMeters: You have been removed from the sync channel by %s.";
DM_MSG_SETLABEL = "DamageMeters: Session label set to <%s>. (Index = %d)";
DM_MSG_SESSIONMISMATCH = "DamageMeters: Sync received with different session information.  Авто-очистка.";
DM_MSG_SHOWINGFIGHTEVENTSONLY = "Отображать события только для текущего боя.";
DM_MSG_SYNCCLEARREQ = "DamageMeters: Transmitting clear request..";
DM_MSG_CURRENTBARWIDTH = "DamageMeters: текущая ширина полосы = %d.\nCall (/dm setbarwidth default) to reset.";
DM_MSG_NEWBARWIDTH = "DamageMeters: Новая ширина полосы = %d.";
--DM_MSG_PLAYERJOINEDSYNCCHAN = "DamageMeters: Player %s joined sync channel. [Version %s]";
DM_MSG_SYNCSESSIONMISMATCH = "Player %s's session (%s:%d) mismatched: Player's data cleared.";
DM_MSG_SYNCHALTRECEIVED = "DamageMeters: Sync Halt command received from %s.";
DM_MSG_SYNCHALTSENT = "DamageMeters: Transmitting halt command..";
DM_MSG_SYNCSESSIONCURRENT = "DamageMeters: You already have the current majority session.";
DM_MSG_SYNCNOSESSIONS = "DamageMeters: не найдено текущей сессии.";
DM_MSG_RANGESET = "DamageMeters: Диапазон сообщений журнала боя установлен на %d.";
DM_MSG_NOTARGETINCOMBAT = "DamageMeters: You cannot target from dynamic unit lists while in combat, due to Blizzard restrictions.";
-- RPS
DM_MSG_RPS_CHALLENGE = "You challenge %s to Rock-Paper Scissors!  You play %s.";
DM_MSG_RPS_CHALLENGED = "%s has challenged you to Rock-Paper-Scissors!  Use /dm rpsr [player] [r/p/s] to respond.";
DM_MSG_RPS_MISSING_PLAYER = "ERROR: Missing Arg.  Player argument can be omitted if and only if there is only one player currently challenging you.";
DM_MSG_RPS_NOTCHALLENGED = "Error: You were not challenged by %s.";
DM_MSG_RPS_YOUPLAY = "Вы играете %s.";
DM_MSG_RPS_PLAYS = "%s plays %s.";
DM_MSG_RPS_DEFEATED = "%s побеждает вас.";
DM_MSG_RPS_VICTORIOUS = "Вы побеждаете %s!"
DM_MSG_RPS_TIE = "You have tied with %s.";

-- Menu Options --
DM_MENU_CLEAR = "Очистить";
DM_MENU_RESETPOS = "Сброс местоположение";
DM_MENU_HIDE = "Скрыть окно";
DM_MENU_SHOW = "Показать окно";
DM_MENU_VISINPARTY = "Видим только когда в группе";
DM_MENU_REPORT = "Отчёт";
DM_MENU_BARCOUNT = "Число полос";
DM_MENU_AUTOCOUNTLIMIT = "Авто предел числа полос";
DM_MENU_SORT = "Тип сортировки";
DM_MENU_VISIBLEQUANTITY = "Отображение";
--DM_MENU_COLORSCHEME = "Color Scheme";
DM_MENU_MEMORY = "Регистр Памяти";
DM_MENU_SAVE = "Сохранить";
DM_MENU_RESTORE = "Востоновить";
DM_MENU_MERGE = "Слить";
DM_MENU_SWAP = "Заменить";
DM_MENU_DELETE = "Удалить";
DM_MENU_BAN = "Бан";
DM_MENU_CLEARABOVE = "Очистка верхнего";
DM_MENU_CLEARBELOW = "Очистка нижнего";
--DM_MENU_LOCK = "Lock List";
--DM_MENU_UNLOCK = "Unlock List";
DM_MENU_PAUSE = "Приостановка разбора";
--DM_MENU_UNPAUSE = "Resume Parsing";
DM_MENU_LOCKPOS = "Блокировать местоположение";
DM_MENU_UNLOCKPOS = "Разблокировать местоположение";
DM_MENU_GROUPMEMBERSONLY = "Следить только за участниками группы";
DM_MENU_ADDPETTOPLAYER = "Обрабатывать данных питомца как ваши данные";
DM_MENU_TEXT = "Настройки текста";
DM_MENU_TEXT_RANK = "Уровень";
DM_MENU_TEXT_NAME = "Название";
DM_MENU_TEXT_TOTALPERCENTAGE = "% всего";
DM_MENU_TEXT_LEADERPERCENTAGE = "% лидеров";
DM_MENU_TEXT_VALUE = "Значение";
DM_MENU_TEXT_DELTA = "Delta";
DM_MENU_SETCOLORFORALL = "Установка цвета для всех";
DM_MENU_DEFAULTCOLORS = "Востоновить цвета по умолчанию";
DM_MENU_RESETONCOMBATSTARTS = "Сброс данных при начале боя";
DM_MENU_SHOWFIGHTASPS = "Показывать данные боя ка в/секунду";
DM_MENU_REFRESHBUTTON = "Обновить";
DM_MENU_TOTAL = "Всего";
DM_MENU_CHOOSEREPORT = "Выберите отчёт";
-- Note reordered this list in version 2.2.0
DM_MENU_REPORTNAMES = {"Фрейм", "Консоль", "Сказать", "Группа", "Рейд", "Гильдия", "Оффицеры"};
DM_MENU_TEXTCYCLE = "Цикл";
DM_MENU_QUANTCYCLE = "Авто-цикл";
DM_MENU_HELP = "Справка";
DM_MENU_ACCUMULATEINMEMORY = "Накапливать данные";
DM_MENU_POSITION = "Пизиция";
DM_MENU_RESIZELEFT = "Изменить размер влево";
DM_MENU_RESIZEUP = "Изменить размер вверх";
DM_MENU_SHOWMAX = "Показать макс";
DM_MENU_SHOWTOTAL = "Показать общее";
DM_MENU_LEADERS = "Лидеры";
DM_MENU_PLAYERREPORT = "Отчёт по игрокам";
DM_MENU_EVENTREPORT = "Отчёт по событию";
DM_MENU_EVENTDATA = "Данные события";
DM_MENU_EVENTDATA_NONE = "Не разберать события";
DM_MENU_EVENTDATA_PLAYER = "Разбор своих событий";
DM_MENU_EVENTDATA_ALL = "Разбор всех событий";
--DM_MENU_SYNCEVENTDATA_NONE = "Transmit No Events";
--DM_MENU_SYNCEVENTDATA_PLAYER = "Transmit Own Events";
--DM_MENU_SYNCEVENTDATA_ALL = "Transmit All Events";
DM_MENU_TOOLTIPDATA = "Инфо подсказок по умолчанию";
DM_MENU_TOOLTIPDATA_SUMMARY = "Показывать сводку событий";
DM_MENU_TOOLTIPDATA_CURRENT = "Показывать текущее событие";
DM_MENU_TOOLTIPDATA_ALL = "Показ все события";
DM_MENU_SHOWEVENTDATATOOLTIP = "Подсказка по умолчанию";
DM_MENU_EVENTS1 = "События 1-20";
DM_MENU_EVENTS2 = "События 21-40";
DM_MENU_EVENTS3 = "События 41-50";
DM_MENU_SYNC = "Синхронизация";
DM_MENU_INCLOGRANGE = "Увеличить радиус журнала боя";
DM_MENU_PERMITSYNCAUTOJOIN = "Присоединиться к каналу передачи";
DM_MENU_CLEARONAUTOJOIN = "Очистить при присоединении";
DM_MENU_SYNCBROADCASTCHAN = "Канал передачи";
DM_MENU_SYNCLEAVECHAN = "Покинуть канал";
DM_MENU_SYNCONLYPLAYEREVENTS = "Синх только свои события";
DM_MENU_ENABLEDMM = "Показывать сообщения DMM";
DM_MENU_NOSYNCCHAN = "КАНАЛ СИНХ НЕ УСТАНОВЛЕН";
DM_MENU_SYNCCHAN = "Текущий канал синх = ";
DM_MENU_SESSION = "Текущая сессия = ";
DM_MENU_SAVEDSESSION = "Сессия = ";
DM_MENU_JOINSYNCCHAN = "Присоединиться к каналу: Используйте /dm syncchan";
DM_MENU_PARSEEVENTMESSAGES = "Разбор входящих событий";
DM_MENU_SENDINGBAR = "Отсылка..";
DM_MENU_PROCESSINGBAR = "Обработка..";
DM_MENU_QUANTITYFILTER = "Величина циклировани"; -- ??
DM_MENU_MINIMIZE = "Свернуть";
DM_MENU_LEFTJUSTIFYTEXT = "Выравнивание влева";
DM_MENU_RIGHTJUSTIFYTEXT = "Выравнивание вправа";
DM_MENU_RESTOREDEFAULTOPTIONS = "Востоновить настройки по умолчанию";
DM_MENU_PLAYERALWAYSVISIBLE = "Всегда видимый для себя";
DM_MENU_APPLYFILTERTOMANUALCYCLING = "Применить к ручному циклированию";
DM_MENU_APPLYFILTERTOAUTOCYCLING = "Применить к Авто-Циклу";
DM_MENU_GENERAL = "Общие настройки";
DM_MENU_GROUPDPSMODE = "Режим урона в секунду группы";
DM_MENU_CLEARBANNED = "Отмена бана на всё";
DM_MENU_CONSTANTVISUALUPDATE = "Постоянное визуальное обновление";
DM_MENU_CLEARWHENJOINPARTY = "Очищать при вступлении в группу";
DM_MENU_AUTOSYNC = "Авто синхронизация";
DM_MENU_STARTNEWSESSION = "Начать новый сеанс";
DM_MENU_SYNCGROUPDATA = "Синхронизировать данные группы";
DM_MENU_SYNCREADY = "Запрос готовности";
DM_MENU_SYNCPAUSE = "Запрос паузы";
DM_MENU_SYNCCLEAR = "Запрос очистки";
DM_MENU_REPORTCHANNEL = "Канал";
DM_MENU_REPORTWHISPER = "Шепот";
DM_MENU_ENABLESYNC = "Включить синх данных";
DM_MENU_NOCOMBATSYNC = "Выключить синх данных в бою";
DM_MENU_SYNCREQSESSION = "Запрос ID сессии";
DM_MENU_HIDESCROLLBAR = "Скрыть полосу прокрутки";


-- Misc
DM_CLASS = "Класс"; -- The word for player class, like Druid or Warrior.
DM_TOOLTIP = "\nВремя с момента последнего действия = %.1fs\nОтношение = %s";
DM_YOU = "вы"
DM_CRITSTR = "Крит";
DM_UNKNOWNENTITY = "Неизвестный объект";
DM_SYNCSPELLNAME = "[Синх]";
DM_NEWSESSIONID = "Введите ID новой сессии: "
DM_REPORTCHANNEL = "Введите название или номер канала куда будет выводиться отчёт: "
DM_REPORTWHISPER = "Введите имя игрока которому будет высылаться отчёт: "

DM_DMG_MELEE = "[В рукапашную]";
DM_DMG_FALLING = "[Падение]";
DM_DMG_LAVA = "[Лава]";
DM_DMG_DAMAGESHIELD = "[Раняющий щит]";
DM_DMG_DEATH = "[Смерть]";
DM_DMG_COMBAT = "[Выход из боя]";

DamageMeters_RPSmoveStrings =
{
    r = "Камень",
    p = "Бумага",
    s = "Ножницы"
};

-------------------------------------------------------------------------------

--[[ This system based on the one in Gello's Recap, which itself was based on the one in Telo's MobHealth.
- source and dest = 0 means the player

TODO: These are all special cases in English because they contain apostrophes.
Julie's Dagger
Rammstein's Lightning Bolts
Night Dragon's Breath

]]--

--[[
This table defined types of messages that DM parsed and how to parse them.
It is no longer needed.
]]--

DamageMeters_msgInfo = {};
DM_Spellometer_Patterns = {};

-- This list contains all of the "cure" spells we want to track.
DM_CURESPELLS = {
    "Массовое рассеивание",
    "Рассеивание заклинаний",
    "Снятие проклятия",
    "Remove Lesser Curse",
    "Выведение яда",
    "Устранение яда",
    "Излечение болезни",
    "Устранение болезни",
    "Очищение",
    "Purification",
    "Тотем противоядия",
    "Тотем очищения от болезней",
    "Дух предков",
    "Возрождение",
    "Искупление",
    "Воскрешение",
    "Дефибриллировать",
};

-------------------------------------------------------------------------------
end
